Package com.fasterxml.jackson.dataformat.xml.deser

## Enum FromXmlParser.Feature

- java.lang.Object
- - java.lang.Enum<FromXmlParser.Feature>
  - - com.fasterxml.jackson.dataformat.xml.deser.FromXmlParser.Feature

All Implemented Interfaces:
  `com.fasterxml.jackson.core.FormatFeature`, `java.io.Serializable`, `java.lang.Comparable<FromXmlParser.Feature>`

Enclosing class:
  FromXmlParser

    public static enum FromXmlParser.Feature
    extends java.lang.Enum<FromXmlParser.Feature>
    implements com.fasterxml.jackson.core.FormatFeature

Enumeration that defines all togglable features for XML parsers.

### Enum Constant Summary

Enum Constants
`EMPTY_ELEMENT_AS_NULL` Feature that indicates whether XML Empty elements (ones where there are no separate start and end tages, but just one tag that ends with "/>") are exposed as `JsonToken.VALUE_NULL`) or not.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static int` `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` `enabledByDefault()`
`boolean` `enabledIn​(int flags)`
`int` `getMask()`
`static FromXmlParser.Feature` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FromXmlParser.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EMPTY_ELEMENT_AS_NULL

    public static final FromXmlParser.Feature EMPTY_ELEMENT_AS_NULL

Feature that indicates whether XML Empty elements (ones where there are no separate start and end tages, but just one tag that ends with "/>") are exposed as `JsonToken.VALUE_NULL`) or not. If they are not returned as `null` tokens, they will be returned as `JsonToken.VALUE_STRING` tokens with textual value of "" (empty String).

Default setting is `true` for backwards compatibility.

Since:
  2.9

### Method Detail

#### values

    public static FromXmlParser.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FromXmlParser.Feature c : FromXmlParser.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FromXmlParser.Feature valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### collectDefaults

    public static int collectDefaults()

Method that calculates bit set (flags) of all features that are enabled by default.

#### enabledByDefault

    public boolean enabledByDefault()

Specified by:
  `enabledByDefault` in interface `com.fasterxml.jackson.core.FormatFeature`

#### getMask

    public int getMask()

Specified by:
  `getMask` in interface `com.fasterxml.jackson.core.FormatFeature`

#### enabledIn

    public boolean enabledIn​(int flags)

Specified by:
  `enabledIn` in interface `com.fasterxml.jackson.core.FormatFeature`